# $Revision: 1.12 $, $Date: 2010/07/08 08:35:23 $
%bcond_with	tests

%define	module	pysvn
Summary:	Python SVN Tools
Summary(pl.UTF-8):	Narzędzia do SVN w Pythonie
Name:		python-%{module}
Version:	1.7.2
Release:	2
License:	Apache Group License
Group:		Development/Languages/Python
Source0:	http://pysvn.barrys-emacs.org/source_kits/%{module}-%{version}.tar.gz
# Source0-md5:	b557a12bc34f0d6805e259d69b9f38ce
URL:		http://pysvn.tigris.org/
BuildRequires:	apr-devel
BuildRequires:	subversion
BuildRequires:	subversion-devel
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pysvn Extension Features:
- Supports all svn client features
- Supports svn transaction features required to write svn pre-commit
  hooks
- Easy to learn and use
- Python like interface
- Good Documentation and examples
- No need to understand the Subversion C API

%description -l pl.UTF-8
Cechy pysvn:
- obsługuje wszystkie możliwości klienta svn
- obsługuje cechy transakcji svn wymagane do pisania procedur
  wywoływanych przed commitem do svn
- łatwy w nauce i użyciu
- pythonowy interfejs
- dobra dokumentacja i przykłady
- nie trzeba rozumieć API C do Subversion

%prep
%setup  -q -n %{module}-%{version}

%build
cd Source
%{__python} ./setup.py configure \
	--apr-inc-dir="$(apr-1-config --includedir)" \
	--svn-lib-dir=%{_libdir}
%{__make} \
	CC="%{__cc} -c" \
	CCC="%{__cxx} -c $(pkg-config apr-util-1 --cflags)"

%{?with_tests:%{__make} -C ../Tests -f unix.mak PYTHON=%{_bindir}/python}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}/pysvn

install Source/pysvn/__init__.py Source/pysvn/*.so $RPM_BUILD_ROOT%{py_sitedir}/pysvn
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/Client
install Examples/Client/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/Client

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Docs/*
%dir %{py_sitedir}/pysvn
%attr(755,root,root) %{py_sitedir}/pysvn/*.so
%{py_sitedir}/pysvn/*.py[co]
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pysvn.spec,v $
Revision 1.12  2010/07/08 08:35:23  arekm
- release 2

Revision 1.11  2010/06/07 12:03:22  arvenil
- up to 1.7.2

Revision 1.10  2008/06/03 12:27:28  pluto
- updated to 1.5.3.

Revision 1.9  2008-05-07 18:36:46  qboosh
- BR: rpm-pythonprov

Revision 1.8  2007-11-02 11:33:53  shadzik
- updated for new patch0
- BR: pkgconfig (needed by patch0)

Revision 1.7  2007/11/02 10:45:08  shadzik
- kill redundand apr-util-devel BR

Revision 1.6  2007/11/02 08:59:22  shadzik
- up to 1.5.2
- add apr-utils.patch
- by Kamil Jakubowski <jakubowski dot kamil at 3vnet dot pl>

Revision 1.5  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.3  2005/09/22 20:17:26  qboosh
- pl

Revision 1.2  2005/09/11 17:20:29  arekm
- BR: subversion, too (for svnversion); rel 2

Revision 1.1  2005/09/11 16:52:52  arekm
- more pythonic bindings to subversion, new
